<?php
namespace App\Models;

class JisuLottery extends BaseModel
{
    protected $table = 'jisu_lottery';
    protected $fillable = ['issue', 'open_code','open_time','is_settlement','next_open_time','type','advance_code'];

    protected function getOpenTimeAttribute($value): string
    {
        return $value ? date('Y-m-d H:i:s', $value) : '';
    }

    protected function getNextOpenTimeAttribute($value): string
    {
        return $value ? date('Y-m-d H:i:s', $value) : '';
    }
}